//This script is by Alex Turtle

value <- 0

function OnPostSpawn()
{
    if (self.GetClassname() == "logic_script")
        return

    if (value < 100)
        self.SetModelSimple(BATTLEROYALE_CONFIG.MODEL_CASH_SMALL)
    else if (value < 200)
        self.SetModelSimple(BATTLEROYALE_CONFIG.MODEL_CASH_MEDIUM)
    else
        self.SetModelSimple(BATTLEROYALE_CONFIG.MODEL_CASH_BIG)

    EntFireByHandle(self, "AddOutput", "OnCacheInteraction !self:FireUser4::0:1", 1.0, self, self)

    self.SetMoveType(Constants.EMoveType.MOVETYPE_FLYGRAVITY, Constants.EMoveCollide.MOVECOLLIDE_FLY_BOUNCE)
    local rnd1 = RandomInt(-40, 40)
    local rnd2 = RandomInt(-40, 40)
    self.ApplyAbsVelocityImpulse(Vector(rnd1, rnd2, 400))
    NetProps.SetPropBool(self, "m_bForcePurgeFixedupStrings", true)
}

function InputFireUser4()
{
    EmitSoundOnClient(BATTLEROYALE_CONFIG.SOUND_CASH_COLLECTED, activator)
    activator.AddCurrency(value)
    self.Kill()
}