//This script is by Alex Turtle

function FixProjectilesThinker()
{
    //Swap projectile team
    local ent = null
    while(ent = Entities.FindByClassname(ent, "tf_projectile_*"))
    {
        if (ent.GetClassname() != "tf_projectile_pipe_remote")
            NetProps.SetPropInt(ent, "m_iTeamNum", 1)
    }
    //Ammo dropped on death
    local ent = null
    while(ent = Entities.FindByClassname(ent, "tf_ammo_pack"))
    {
        ent.Kill()
    }
    //Mannpowers
    local mannpower = null
    local pendingDeletion = []
    while(mannpower = Entities.FindByClassname(mannpower, "item_powerup_rune") )
    {
        if (mannpower.GetSkin() == 2)
        {
            FixMannpower(mannpower)
            pendingDeletion.append(mannpower)
        }
    }
    foreach(mannpower in pendingDeletion)
    {
        mannpower.Kill()
    }
    //Count ammo
    local player = null
    while (player = Entities.FindByClassname(player, "player") )
    {
        local scope = player.GetScriptScope()
        if (scope == null || "isAlive" in scope == false || scope.isAlive == false)
            continue

        scope.ammo1 = NetProps.GetPropIntArray(player, "m_iAmmo", 1)
        scope.ammo2 = NetProps.GetPropIntArray(player, "m_iAmmo", 2)

        scope.clip1 = NetProps.GetPropInt(NetProps.GetPropEntityArray(player, "m_hMyWeapons", 0), "LocalWeaponData.m_iClip1")
        scope.clip2 = NetProps.GetPropInt(NetProps.GetPropEntityArray(player, "m_hMyWeapons", 1), "LocalWeaponData.m_iClip1")
        scope.health_fix = player.GetHealth()

        //printl(NetProps.GetPropInt(NetProps.GetPropEntityArray(player, "m_hMyWeapons", 0), "m_iClip1"))
        //printl(NetProps.GetPropInt(NetProps.GetPropEntityArray(player, "m_hMyWeapons", 1), "m_iClip1"))
    }

    //Fix flamethrowers
    /*local manager = Entities.FindByClassname(null, "tf_flame_manager")
    if (manager != null)
    {
        AddThinkToEnt(manager, "FlameThink")
    }*/

    return -1
}


//Needed to fix the flamethrowers
::FlameThink <- function()
{
    local owner = self.GetOwner().GetOwner()
    NetProps.SetPropInt(owner, "m_iTeamNum", 1)
    EntFire("worldspawn", "CallScriptFunction", "RevertTeam", -1, owner)
    return -1
}

::RevertTeam <- function()
{
    NetProps.SetPropInt(activator, "m_iTeamNum", 2)
}




/*function CheckLastAttack(player)
{
    local scope = player.GetScriptScope()
    local nextAttack = NetProps.GetPropFloat(player.GetActiveWeapon(), "m_flNextPrimaryAttack")
    if (nextAttack <= Time())
    {
        scope.awaitingReset <- false
        //scope.lastAttack <- null
    }
    if (scope.awaitingReset == false && nextAttack >= Time())
    {
        scope.lastAttack <- Time()
        scope.awaitingReset <- true
        NetProps.SetPropInt(player, "m_iTeamNum", 3)
        printl("friendly fire on!")
    }
    //return scope.lastAttack
}

function SetToNeutralFrame(player)
{
    local scope = player.GetScriptScope()
    if (NetProps.GetPropInt(player, "m_iTeamNum") == 3 && scope.awaitingReset && scope.lastAttack + 0.1 < Time())
    {
        NetProps.SetPropInt(player, "m_iTeamNum", 2)
        printl("reset")
    }
}*/