//This is an enum of rarities
//The constructor is as follow
//BR_RARITY(tier, name, color, particle, isAustralium, ArrayAmount, ArrayAttributesPointsMin, ArrayAttributesPointsMax)

//tier: higher is the rarer
//name: name of the rarity
//color: color of the text
//particle: Particle when unboxing
//isAustralium: if the weapon is an australium
//ArrayAmount: Amount of attributes to give, the position in the array defines its tier
//ArrayAttributesPointsMin: Min Amount of attribute points to give, the position in the array defines its tier
//ArrayAttributesPointsMax: Max Amount of attribute points to give, the position in the array defines its tier
::RARITY <-
{
    COMMON = BR_RARITY(0, "Common", [255, 255, 255], "br_unbox_white", false, [1, 1, 0, 0], [1, 2, 0, 0], [2, 2, 0, 0]),
    UNCOMMON = BR_RARITY(1, "Uncommon", [122, 140, 92], "br_unbox_green", false, [1, 1, 1, 0], [2, 2, 1, 0], [3, 3, 2, 0]),
    RARE = BR_RARITY(2, "Rare", [71, 98, 145],"br_unbox_blue", false, [1, 2, 1, 0], [2, 2, 2, 0], [3, 3, 3, 0]),
    LEGENDARY = BR_RARITY(3, "LEGENDARY", [207, 106, 50], "br_unbox_red", false, [0, 1, 2, 1], [0, 2, 2, 1], [0, 3, 2, 1]),
    EXPERIMENTAL = BR_RARITY(4, "EXPERIMENTAL", [53, 31, 67], "br_unbox_purple", false, [1, 2, 1, 1], [16, 3, 16, 1], [18, 4, 18, 1]),

    AUSTRALIUM_UNCOMMON = BR_RARITY(1, "AUSTRALIUM", [231, 181, 59],"br_unbox_gold", true, [1, 1, 1, 1], [4, 4, 4, 1], [5, 4, 4, 1]),
    AUSTRALIUM_RARE = BR_RARITY(2, "AUSTRALIUM", [231, 181, 59],"br_unbox_gold", true, [1, 1, 1, 1], [4, 4, 4, 1], [5, 5, 5, 1]),
    AUSTRALIUM_LEGENDARY = BR_RARITY(3, "AUSTRALIUM", [231, 181, 59],"br_unbox_gold", true, [0, 1, 1, 1], [0, 4, 2, 1], [0, 5, 3, 1]),
}