function Gamemode_teams() 
{
    BR_MODE_TEAMS = true

    local player = null
    local ent = null
    while (player = Entities.FindByClassname(player, "player") )
    {
        if (IsValidPlayer(player) == false)
            continue

        player.GrantOrRemoveAllUpgrades(true, true)
        PreparePlayer(player)

        GlowLocal_AddPlayer(player, 255, 0, 0, 200);
    }

    EntFireByHandle(self, "CallScriptFunction", "GlowLocal_Internal_RevertPlayer", 5.0, null, null);
}

function Gamemode_solo() 
{
    local player = null
    local center = Vector(BATTLEROYALE_CONFIG.BR_CENTER_POINT[0], BATTLEROYALE_CONFIG.BR_CENTER_POINT[1], BATTLEROYALE_CONFIG.BR_CENTER_POINT[2])
    local spawn = Vector(center.x + BATTLEROYALE_CONFIG.BR_SPAWN_RADIUS, center.y, BATTLEROYALE_CONFIG._Z)
    while (player = Entities.FindByClassname(player, "player"))
    {
        if (IsValidPlayer(player) == false)
            continue

        player.GrantOrRemoveAllUpgrades(true, true)
        PreparePlayer(player)

        //silly workaround
        spawn -= center
        spawn = RotatePosition(center, QAngle(0.0, 10.0, 0.0), spawn)
        spawn += center

        player.Teleport(true, spawn, true, QAngle(0.0, 0.0, 0.0), true, Vector(0,0,0))

        local ent = null
        ent = Entities.FindByName(ent, "script_main")

        EntFireByHandle(ent, "RunScriptCode", "GiveParachuteAll()", 1.5, null, null)

    }
}